#!/bin/sh

# Установка пакетов
cd /usr/lib/ice-style/rpm

echo "ПОДОЖДИТЕ! Идет обработка..."
echo "Не закрывайте окно ! Подождите 20-30 секунд !"
sleep 10

echo Install IceWM
apt-get -y --yes --force-yes install icewm-light-1.3.7-alt1.i586.rpm icewm-1.3.7-alt1.i586.rpm design-icewm-1.0-alt5.noarch.rpm

echo Install other packages
apt-get -y --yes --force-yes install xxkb-1.11-alt2.i586.rpm htop-0.8.3-alt4.i586.rpm SysVinit-usermode-1.5-alt2.noarch.rpm grun-0.9.3-alt1.i586.rpm qiv-2.1-alt3.pre12.i586.rpm tray_eject_plus-0.0.17-alt1.i586.rpm tray_mixer_plus-0.0.2-alt1.i586.rpm catfish-1-2.noarch.rpm numlock-2.0-alt2.1.i586.rpm


# Extract file from arch
echo Extract file from arch
cd /usr/lib/ice-style/
tar -xf file.tar

# добавляем файл rc.local
if [ -e "/etc/rc.d/rc.local" ]; then
    echo rc.local exists
    if [ `cat /etc/rc.d/rc.local | grep -c mount.cifs` -gt 0 ]; then
	echo rc.local contain some mount command... pass
    else
	echo add to rc.local mount command
        echo  >>/etc/rc.d/rc.local
        echo '#echo connect to share' >>/etc/rc.d/rc.local
        echo '#mount.cifs //192.168.1.1/NET /mnt/smb -o user=user,pass=user,codepage=cp866,iocharset=utf8,file_mode=0666' >>/etc/rc.d/rc.local
    fi
else
    #create
    echo create rc.local
    echo '#!/bin/sh' >/etc/rc.d/rc.local
    echo  >>/etc/rc.d/rc.local
    echo '#echo connect to share' >>/etc/rc.d/rc.local
    echo '#mount.cifs //192.168.1.1/NET /mnt/smb -o user=user,pass=user,codepage=cp866,iocharset=utf8,file_mode=0666' >>/etc/rc.d/rc.local
    chmod 500 /etc/rc.d/rc.local
fi

# проверяю а есть ли точка монтирования...
if [ -e "/mnt/smb" ]; then
    echo mount point exists... pass
else
    echo create mount point
    mkdir /mnt/smb
    chmod 755 /mnt/smb
fi

# остановка сервисов
echo Script stop some service. You can manage service with /sbin/chkconfig !

echo stop kqemu
/sbin/chkconfig --level 2345 kqemu off

echo stop wine
/sbin/chkconfig --level 2345 wine off

echo stop postfix 
/sbin/chkconfig --level 2345 postfix off

echo stop auditd
/sbin/chkconfig --level 2345 auditd off

echo stop sshd
/sbin/chkconfig --level 2345 sshd off

echo stop portmap
/sbin/chkconfig --level 2345 portmap off

echo stop mdadm
/sbin/chkconfig --level 2345 mdadm off

echo stop smartd
/sbin/chkconfig --level 2345 smartd off

echo stop lvm2-monitor
/sbin/chkconfig --level 2345 lvm2-monitor off

echo stop clamd
/sbin/chkconfig --level 2345 clamd off

echo stop autofs
/sbin/chkconfig --level 2345 autofs off

echo stop netfs
/sbin/chkconfig --level 2345 netfs off

echo stop idmapd
/sbin/chkconfig --level 2345 idmapd off

echo stop gssd
/sbin/chkconfig --level 2345 gssd off

echo stop avahi-daemon
/sbin/chkconfig --level 2345 avahi-daemon off

echo Script stop some service. You can manage service with /sbin/chkconfig !

# убираю лишние консоли

if [ -e "/etc/inittab_old" ] && [ `cat /etc/inittab | grep -c "#3:2345:respawn"` -eq 1 ]; then
    echo /etc/inittab_old exist
else
    echo comment 3 4 5 6 tty in /etc/inittab
    cd /etc/
    cp -f inittab inittab_old
    sed s/3:2345:respawn/#3:2345:respawn/ inittab_old |sed s/4:2345:respawn/#4:2345:respawn/ |sed s/5:2345:respawn/#5:2345:respawn/ |sed s/6:2345:respawn/#6:2345:respawn/ > inittab
fi

# дефолтный wm
if [ -e "/etc/sysconfig/desktop" ]; then
    echo /etc/sysconfig/desktop exist
else
    echo make /etc/sysconfig/desktop
    echo DESKTOP=IceWM  >/etc/sysconfig/desktop
fi

# изменяю настройки пользователя...
echo try change users .wm-select file

for userdir in /home/*
do
echo $userdir
    if [ -e "$userdir/.wm-select" ]; then

        if [ `cat "$userdir/.wm-select" | grep -c starticewm` -eq 1 ]; then
	    echo  "$userdir/.wm-select start icewm... pas"
        else
	    echo  "rename $userdir/.wm-select (1)"
	    mv -f "$userdir/.wm-select" "$userdir/.wm-select_old"
        fi
    fi
done


# Удалю из Cron каждодневный makewhatis - останется только недельный
rm -f /etc/cron.daily/makewhatis

# COPY file
echo Copy need file

cd /usr/lib/ice-style/file

cp -f ./etc/X11/app-defaults/* /etc/X11/app-defaults/
cp -f ./etc/gtk/* /etc/gtk/
cp -f ./etc/gtk-2.0/* /etc/gtk-2.0/
cp -f ./etc/X11/icewm/* /etc/X11/icewm/
cp -f ./etc/X11/xdm/* /etc/X11/xdm/
cp -f ./etc/xdg/Thunar/* /etc/xdg/Thunar/
cp -f ./usr/bin/* /usr/bin/
cp -f ./usr/share/xxkb/* /usr/share/xxkb/
cp -f -r ./usr/share/X11/icewm/themes/MurrinaCappuccino /usr/share/X11/icewm/themes/
cd /usr/share/X11/icewm/themes/
rm -f default
ln -s /usr/share/X11/icewm/themes/MurrinaCappuccino default

update-menus

echo END

update-menus

echo "Теперь окно можно закрыть и перезагрузится !"